> For the complete documentation index, see [llms.txt](https://docs-vnext.kiflo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-vnext.kiflo.com/developers/api-reference/account-mapping-accounts/list-accounts.md).

# List accounts

List the accounts imported from your account mapping data sources.

```json
{"openapi":"3.0.1","info":{"title":"Kiflo Public API v3","version":"v3"},"security":[{"oauth2":["AccountMappingAccount.View","Api"]}],"components":{"securitySchemes":{},"schemas":{"AccountType":{"enum":["Unknown","Prospect","Opportunity","Customer"],"type":"string"},"AccountMappingAccountListResponseDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AccountMappingAccountDto"},"nullable":true},"paginationSkipCount":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","description":"Gets or sets the total number of items that could be returned by this command (without pagination).","format":"int32"}},"additionalProperties":false},"AccountMappingAccountDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true},"name":{"type":"string","nullable":true},"type":{"$ref":"#/components/schemas/AccountType"},"country":{"type":"string","nullable":true},"websiteUrl":{"type":"string","nullable":true},"ownerName":{"type":"string","nullable":true},"ownerEmail":{"type":"string","nullable":true},"dataSourceId":{"type":"integer","format":"int32"},"dataSourceName":{"type":"string","nullable":true},"dataSourceType":{"$ref":"#/components/schemas/AccountMappingDataSourceType"},"importedDate":{"type":"string","format":"date-time"},"prospectOverlapsCount":{"type":"integer","format":"int32"},"opportunityOverlapsCount":{"type":"integer","format":"int32"},"customerOverlapsCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"AccountMappingDataSourceType":{"enum":["Unknown","Csv","HubSpot"],"type":"string"}}},"paths":{"/v3/account-mapping/accounts":{"get":{"tags":["AccountMappingAccounts"],"summary":"List accounts","description":"List the accounts imported from your account mapping data sources.","parameters":[{"name":"offset","in":"query","description":"The cursor used in pagination. This is the index of the first account to be returned.","schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","description":"The maximum number of accounts to be returned. The default is 20.","schema":{"type":"integer","format":"int32"}},{"name":"sort_by","in":"query","description":"The property used to sort the accounts by. The default is Name.","schema":{"type":"string"}},{"name":"order_by","in":"query","description":"The sorting direction for the returned accounts. Accepted values: ASC, DESC. The default is ASC.","schema":{"type":"string"}},{"name":"type","in":"query","description":"Filters accounts on their type.","schema":{"$ref":"#/components/schemas/AccountType"}},{"name":"data_source_id","in":"query","description":"Filters accounts on the data source they were imported from.","schema":{"type":"integer","format":"int32"}},{"name":"external_id","in":"query","description":"Filters accounts on their external ID.","schema":{"type":"string"}},{"name":"has_prospect_overlaps","in":"query","description":"Filters accounts on whether they overlap with at least one prospect account.\r\nWhen true, returns only accounts that overlap with a prospect account; when false, returns only accounts\r\nthat do not. When omitted, no filter is applied.","schema":{"type":"boolean"}},{"name":"has_customer_overlaps","in":"query","description":"Filters accounts on whether they overlap with at least one customer account.\r\nWhen true, returns only accounts that overlap with a customer account; when false, returns only accounts\r\nthat do not. When omitted, no filter is applied.","schema":{"type":"boolean"}},{"name":"has_opportunity_overlaps","in":"query","description":"Filters accounts on whether they overlap with at least one opportunity account.\r\nWhen true, returns only accounts that overlap with an opportunity account; when false, returns only accounts\r\nthat do not. When omitted, no filter is applied.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Accounts returned","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountMappingAccountListResponseDto"}}}},"400":{"description":"Invalid request"},"403":{"description":"Account mapping feature is not available"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-vnext.kiflo.com/developers/api-reference/account-mapping-accounts/list-accounts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
